def infixe(self, L = []):
    if self.filsGauche:
        self.filsGauche.infixe(L)
    if self.root != None:
        L.append(self.root)
    if self.filsDroit:
        self.filsDroit.infixe(L)
    return L